### File

`packages/components/eui-slider/testing/eui-slider-test.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-autocomplete-test-component`
imports | `EuiSliderComponent` `FormsModule` `ReactiveFormsModule`
template |
    <form [formGroup]="form">
        <eui-slider #rangeSlider hasRange formControlName="rangeSlider" /><br />
        <eui-slider #slider formControlName="slider" /><br />
        <input class="default-formcontrol" type="text" formControlName="text" /><br/>
    </form>

### Index

###### Properties
Public form rangeSlider slider

### Properties

Public form
Type : `FormGroup`

rangeSlider
Type : `EuiSliderComponent`
Decorators : `@ViewChild('rangeSlider')`

slider
Type : `EuiSliderComponent`
Decorators : `@ViewChild('slider')`

# results matching ""

# No results matching ""